Subject: Re: bug#6143: 6143 ispell not fixed

From: Stefan Monnier <[email-masked]>
Date: Thu, 02 Sep 2010 18:01:10 +0200

> I have just commited a change that should use "~/" as default-directory
> unless Ispell per-directory personal dicts are used and not in a minibuffer
> under XEmacs.

Could you explain (ideally in a comment in the code) why the minibuffer
case is important, why we distinguish the Emacs-vs-XEmacs cases, and why
we use (fboundp 'minibuffer-selected-window) rather than (featurep
'xemacs) to check whether we're in XEmacs (I see this use comes
from the earlier code, but maybe it's an opportunity to change it,
since (featurep 'xemacs) is treated specially by the byte-compiler to
generate more efficient code and to avoid spurious warnings).

        Stefan